//use strict;

export function slider(nextimage) {
    let header = document.querySelector('header');

    let images = [
        'img/fara_background.jpg',
        //'img/fara_bg_2.jpg',
        'img/fara_bg_3.jpg',
        'img/fara_bg_4.jpg',
        'img/fara_bg_5.jpg',
        //'img/fara_bg_6.jpg',
        'img/fara_bg_7.jpg',
        'img/fara_bg_8.jpg',
        'img/fara_bg_9.jpg',
        'img/fara_bg_10.png',
        'img/fara_bg_11.jpg',
    ];

    if (nextimage >= images.length) {
       nextimage = 0;
   }
   header.setAttribute('style', 'background-image : url("' +images[nextimage++] + '");');
   setTimeout(slider(nextimage), 2000);
}

/**
 * @todo
 * The canvas should be drawn into an overlay
 * container (always fullscreen)
 */
export function interactiveMap() {
    let canvas = document.createElement('canvas');

    let ctx = canvas.getContext('2d');

    const img = new Image;
    img.src = 'img/mappa.png';

    img.onload = () => {
        ctx.drawImage(img, 0, 0);
    }
}